import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'filter'
})
export class FilterPipe implements PipeTransform {

  transform(anciens: any, term: any): any {
    if (term === undefined) return anciens ; 
    return anciens.filter(function(a) {
      return a.nom.toLowerCase().includes(term.toLowerCase()) || 
      a.prenom.toLowerCase().includes(term.toLowerCase()) || 
      a.diplome.toLowerCase().includes(term.toLowerCase()) ||
      a.entreprise.toLowerCase().includes(term.toLowerCase()) ;
    })
  }

 

}
