import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';


import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import { FormsModule } from '@angular/forms';
import {NgxPaginationModule} from 'ngx-pagination';



import { AppComponent } from './app.component';
import { NavbComponent } from './components/navb/navb.component';
import { PlaquesComponent } from './components/plaques/plaques.component';
import { FilterPipe } from './filter.pipe';
import { HomeComponent } from './components/home/home.component';


@NgModule({
  declarations: [
    AppComponent,
    NavbComponent,
    PlaquesComponent,
    FilterPipe,
    HomeComponent
  ],
  imports: [
    BrowserModule,
    NgbModule.forRoot(),
    FormsModule,
    NgxPaginationModule,
  
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
